Click here to Skip to main content
14,691,039 members
Please Sign up or sign in to vote.
1.80/5 (2 votes)
See more:
Hi Friends,

I am using

Visual Studio Ultimate 2012
SQL Server 2014

In my MVC4 application I added a new item ADO.NET Entity Data Model (.edmx file).

While Testing the connection i am getting following error

The database 'C:/pubs.mdf' cannot be opened because it is version 782. This server supports version 706 and earlier. A downgrade path is not supported

Should i use lower SQL server version instead of 2014?

please help me on this?
Posted
Updated 15-Jul-19 0:36am
v4

1 solution

My guess is that pubs.mdf file is created by high version and opened in a low version tool. Because Version 782 is a database file from Sql Server 2014, Version 706 is a database file from Sql Server 2012.

you can try this: Tools > Options > Database Tools > Data Connections > SQL Server Instance Name

Set “SQL Server Instance Name” to “(LocalDB)\MSSQLLocalDB”

See also:
http://stackoverflow.com/questions/26346647/the-database-cannot-be-opened-because-it-is-version-782-this-server-supports-ve


https://social.msdn.microsoft.com/Forums/ie/en-US/239ef852-653d-4cbc-94a5-c2a4b201a0b0/sql-server-2014-database-error-in-visual-studio-2012?forum=visualstudiogeneral

Hope this will help
   
Comments
g_g_ 3-Feb-18 2:51am
   
this also works for visual studio 2013

This content, along with any associated source code and files, is licensed under The Code Project Open License (CPOL)




CodeProject, 20 Bay Street, 11th Floor Toronto, Ontario, Canada M5J 2N8 +1 (416) 849-8900